#include <String.au3>
#include <Array.au3>

#include <GuiListView.au3>
#include <ListViewConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#include <ProgressConstants.au3>
#include <EditConstants.au3>


$HauptGUI = GUICreate("Grooveshark Downloader", 906, 483)
$GUI_ListeSuchergebnisse = GUICtrlCreateListView("Titel																				|Interpret|Album", 8, 64, 425, 360,-1,$LVS_EX_CHECKBOXES)
GUISetState(@SW_SHOW)



MsgBox (0,"","Die Liste wird befllt")
$data = FileRead ("rammstein.txt")

$SongID=_StringBetween ($data,'SongID":"','","')
$SongName=_StringBetween ($data,'SongName":"','","')
$AlbumName=_StringBetween ($data,'AlbumName":"','","')
$ArtistName=_StringBetween ($data,'ArtistName":"','","')

dim $SongInfo[UBound($ArtistName)][4]

For $i = 0 To UBound($ArtistName)-1
	$SongInfo[$i][0] = $SongID[$i]
	$SongInfo[$i][1] = $SongName[$i]
	$SongInfo[$i][2] = $AlbumName[$i]
	$SongInfo[$i][3] = $ArtistName[$i]
	For $k = 1 To 3
		$SongInfo[$i][$k] = fromUnicode ($SongInfo[$i][$k])
	Next
	GUICtrlCreateListViewItem($SongInfo[$i][1]&"|"&$SongInfo[$i][3]&"|"&$SongInfo[$i][2], $GUI_ListeSuchergebnisse)
Next

Sleep (5000)



MsgBox (0,"","Die Liste wird jetzt geleert.")
_GUICtrlListView_DeleteAllItems ($GUI_ListeSuchergebnisse)
MsgBox (0,"","Die Liste wurde geleert")
MsgBox (0,"","Die Liste wird neu befllt")
$data = FileRead ("timber.txt")

$SongID=_StringBetween ($data,'SongID":"','","')
$SongName=_StringBetween ($data,'SongName":"','","')
$AlbumName=_StringBetween ($data,'AlbumName":"','","')
$ArtistName=_StringBetween ($data,'ArtistName":"','","')

dim $SongInfo[UBound($ArtistName)][4]

For $i = 0 To UBound($ArtistName)-1
	$SongInfo[$i][0] = $SongID[$i]
	$SongInfo[$i][1] = $SongName[$i]
	$SongInfo[$i][2] = $AlbumName[$i]
	$SongInfo[$i][3] = $ArtistName[$i]
	For $k = 1 To 3
		$SongInfo[$i][$k] = fromUnicode ($SongInfo[$i][$k])
	Next
	GUICtrlCreateListViewItem($SongInfo[$i][1]&"|"&$SongInfo[$i][3]&"|"&$SongInfo[$i][2], $GUI_ListeSuchergebnisse)
Next

Sleep (5000)



MsgBox (0,"","Die Liste wird jetzt geleert.")
_GUICtrlListView_DeleteAllItems ($GUI_ListeSuchergebnisse) ; HIER liegt der Haken!!!!
MsgBox (0,"","Die Liste wurde geleert")
MsgBox (0,"","Die Liste wird neu befllt")
$data = FileRead ("rammstein.txt")

$SongID=_StringBetween ($data,'SongID":"','","')
$SongName=_StringBetween ($data,'SongName":"','","')
$AlbumName=_StringBetween ($data,'AlbumName":"','","')
$ArtistName=_StringBetween ($data,'ArtistName":"','","')

dim $SongInfo[UBound($ArtistName)][4]

For $i = 0 To UBound($ArtistName)-1
	$SongInfo[$i][0] = $SongID[$i]
	$SongInfo[$i][1] = $SongName[$i]
	$SongInfo[$i][2] = $AlbumName[$i]
	$SongInfo[$i][3] = $ArtistName[$i]
	For $k = 1 To 3
		$SongInfo[$i][$k] = fromUnicode ($SongInfo[$i][$k])
	Next
	GUICtrlCreateListViewItem($SongInfo[$i][1]&"|"&$SongInfo[$i][3]&"|"&$SongInfo[$i][2], $GUI_ListeSuchergebnisse)
Next

Sleep (5000)



Func fromUnicode ($var)
	While StringInStr ($var,"\u00") <> 0
		$replace = StringMid ($var,StringInStr ($var,"\u00")+4,2)
		$var = StringReplace ($var,$replace,Chr (Dec ($replace)),1)
		$var = StringReplace ($var,"\u00","",1)
	WEnd
	$var = StringReplace ($var,"\","")
	Return ($var)
EndFunc